// SpaceMousePro.h 
#ifndef _SPACEMOUSEPRO_H_
#define _SPACEMOUSEPRO_H_

#include <Windows.h>

#define SPACE_MOUSE_VENDOR_ID			0x046D
#define SPACE_MOUSE_PRODUCT_ID			0xC62B

#define SMP_RAW_DATA_SIZE				0x07
#define SMP_CHANNEL_OFFSET				0x00

#define SMP_MOVE_CHANNEL				0x01
#define SMP_X_LSB_OFFSET				0x01
#define SMP_X_MSB_OFFSET				0x02
#define SMP_Y_LSB_OFFSET				0x03
#define SMP_Y_MSB_OFFSET				0x04
#define SMP_Z_LSB_OFFSET				0x05
#define SMP_Z_MSB_OFFSET				0x06

#define SMP_ROTATE_CHANNEL				0x02
#define SMP_PITCH_LSB_OFFSET			0x01
#define SMP_PITCH_MSB_OFFSET			0x02
#define SMP_ROLL_LSB_OFFSET				0x03
#define SMP_ROLL_MSB_OFFSET				0x04
#define SMP_YAW_LSB_OFFSET				0x05
#define SMP_YAW_MSB_OFFSET				0x06

#define SMP_BUTTON_CHANNEL				0x03
#define SMP_BUTTON_GROUP1				0x01
#define SMP_BUTTON_GROUP2				0x02
#define SMP_BUTTON_GROUP3				0x03
#define SMP_BUTTON_GROUP4				0x04

UINT processSpaceMouseProRawData(BYTE* rawDataBuffer, DWORD rawDataSize);

#endif
